loci.formats.services

## Interface JAIIIOService

- All Superinterfaces:
    loci.common.services.Service
  All Known Implementing Classes:
    JAIIIOServiceImpl

      public interface JAIIIOService
      extends loci.common.services.Service

  Interface defining methods for reading data using JAI Image I/O.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.image.BufferedImage` | `readImage(java.io.InputStream in)` Reads an image using JAI Image I/O using the JPEG 2000 codec.
    `java.awt.image.BufferedImage` | `readImage(java.io.InputStream in, JPEG2000CodecOptions options)` Reads an image using JAI Image I/O using the JPEG 2000 codec.
    `java.awt.image.Raster` | `readRaster(java.io.InputStream in)` Reads an image into a raster using JAI Image I/O using the JPEG 2000 codec.
    `java.awt.image.Raster` | `readRaster(java.io.InputStream in, JPEG2000CodecOptions options)` Reads an image into a raster using JAI Image I/O using the JPEG 2000 codec.
    `void` | `writeImage(java.io.OutputStream out, java.awt.image.BufferedImage img, JPEG2000CodecOptions options)` Writes an image using JAI Image I/O using the JPEG 2000 codec.

- - ### Method Detail

    - #### writeImage

          void writeImage(java.io.OutputStream out,
                          java.awt.image.BufferedImage img,
                          JPEG2000CodecOptions options)
                   throws java.io.IOException,
                          loci.common.services.ServiceException

      Writes an image using JAI Image I/O using the JPEG 2000 codec.
      Parameters:
        `out` - Target output stream.
        `img` - Source buffered image.
        `options` - Options for the JPEG 2000 codec.
      Throws:
        `java.io.IOException` - Thrown if there is an error reading from or writing to one of the target streams / buffers.
        `loci.common.services.ServiceException` - Thrown if there is an error initializing or interacting with the dependencies of the service.

    - #### readImage

          java.awt.image.BufferedImage readImage(java.io.InputStream in,
                                                 JPEG2000CodecOptions options)
                                          throws java.io.IOException,
                                                 loci.common.services.ServiceException

      Reads an image using JAI Image I/O using the JPEG 2000 codec.
      Parameters:
        `in` - Target input stream.
        `options` - Options for the JPEG 2000 codec.
      Returns:
        An AWT buffered image.
      Throws:
        `java.io.IOException` - Thrown if there is an error reading from or writing to one of the target streams / buffers.
        `loci.common.services.ServiceException` - Thrown if there is an error initializing or interacting with the dependencies of the service.

    - #### readImage

          java.awt.image.BufferedImage readImage(java.io.InputStream in)
                                          throws java.io.IOException,
                                                 loci.common.services.ServiceException

      Reads an image using JAI Image I/O using the JPEG 2000 codec.
      Parameters:
        `in` - Target input stream.
      Returns:
        An AWT buffered image.
      Throws:
        `java.io.IOException` - Thrown if there is an error reading from or writing to one of the target streams / buffers.
        `loci.common.services.ServiceException` - Thrown if there is an error initializing or interacting with the dependencies of the service.
      See Also:
        `readImage(InputStream, JPEG2000CodecOptions)`

    - #### readRaster

          java.awt.image.Raster readRaster(java.io.InputStream in,
                                           JPEG2000CodecOptions options)
                                    throws java.io.IOException,
                                           loci.common.services.ServiceException

      Reads an image into a raster using JAI Image I/O using the JPEG 2000 codec.
      Parameters:
        `in` - Target input stream.
        `options` - Options for the JPEG 2000 codec.
      Returns:
        An AWT image raster.
      Throws:
        `java.io.IOException` - Thrown if there is an error reading from or writing to one of the target streams / buffers.
        `loci.common.services.ServiceException` - Thrown if there is an error initializing or interacting with the dependencies of the service.

    - #### readRaster

          java.awt.image.Raster readRaster(java.io.InputStream in)
                                    throws java.io.IOException,
                                           loci.common.services.ServiceException

      Reads an image into a raster using JAI Image I/O using the JPEG 2000 codec.
      Parameters:
        `in` - Target input stream.
      Returns:
        An AWT image raster.
      Throws:
        `java.io.IOException` - Thrown if there is an error reading from or writing to one of the target streams / buffers.
        `loci.common.services.ServiceException` - Thrown if there is an error initializing or interacting with the dependencies of the service.
      See Also:
        `readRaster(InputStream, JPEG2000CodecOptions)`

Copyright © 2026 Open Microscopy Environment